<html>
<head>
<title>Ogre::Profiler::ProfileFrame Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Profiler.html">Profiler</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">ProfileFrame</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Profiler::ProfileFrame Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Profiler::ProfileFrame" -->
<p>Represents the total timing information of a profile since profiles can be called more than once each frame.  
 <a href="structOgre_1_1Profiler_1_1ProfileFrame.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Profiler_1_1ProfileFrame-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#af444a2a77f7bb3e2387aec94c539a7fb">name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the profile.  <a href="#af444a2a77f7bb3e2387aec94c539a7fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#a89cf3553385a4aaadf99061f920249b1">frameTime</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The total time this profile has taken this frame.  <a href="#a89cf3553385a4aaadf99061f920249b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#a449b6583375ed3ed8c4a9cd872496cd9">calls</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of times this profile was called this frame.  <a href="#a449b6583375ed3ed8c4a9cd872496cd9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#af9530dfafd95f21de7c508bb99fe4f84">hierarchicalLvl</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The hierarchical level of this profile, 0 being the main loop.  <a href="#af9530dfafd95f21de7c508bb99fe4f84"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents the total timing information of a profile since profiles can be called more than once each frame. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00341">341</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a449b6583375ed3ed8c4a9cd872496cd9"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::calls" ref="a449b6583375ed3ed8c4a9cd872496cd9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#a449b6583375ed3ed8c4a9cd872496cd9">Ogre::Profiler::ProfileFrame::calls</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of times this profile was called this frame. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00350">350</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a89cf3553385a4aaadf99061f920249b1"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::frameTime" ref="a89cf3553385a4aaadf99061f920249b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#a89cf3553385a4aaadf99061f920249b1">Ogre::Profiler::ProfileFrame::frameTime</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The total time this profile has taken this frame. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00347">347</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="af9530dfafd95f21de7c508bb99fe4f84"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::hierarchicalLvl" ref="af9530dfafd95f21de7c508bb99fe4f84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#af9530dfafd95f21de7c508bb99fe4f84">Ogre::Profiler::ProfileFrame::hierarchicalLvl</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The hierarchical level of this profile, 0 being the main loop. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00353">353</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="af444a2a77f7bb3e2387aec94c539a7fb"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::name" ref="af444a2a77f7bb3e2387aec94c539a7fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#af444a2a77f7bb3e2387aec94c539a7fb">Ogre::Profiler::ProfileFrame::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name of the profile. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00344">344</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
